clang-tools 10.0.0

Namespaces
CodeCompletionStringsTests.cpp File Reference
`#include "CodeCompletionStrings.h"`
`#include "clang/Sema/CodeCompleteConsumer.h"`
`#include "gmock/gmock.h"`
`#include "gtest/gtest.h"`
Include dependency graph for CodeCompletionStringsTests.cpp:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Variable Documentation

## ◆ Allocator

std::shared_ptr<clang::GlobalCodeCompletionAllocator> Allocator
| protected

Definition at line 33 of file CodeCompletionStringsTests.cpp.

## ◆ Builder

CodeCompletionBuilder Builder
| protected

Definition at line 35 of file CodeCompletionStringsTests.cpp.

Referenced by clang::clangd::getSemanticHighlightings(), and clang::clangd::runFuzzyFind().

## ◆ CCTUInfo

CodeCompletionTUInfo CCTUInfo
| protected

Definition at line 34 of file CodeCompletionStringsTests.cpp.

## ◆ Signature

std::string Signature
| protected

Definition at line 36 of file CodeCompletionStringsTests.cpp.

## ◆ Snippet

std::string Snippet
| protected

Definition at line 37 of file CodeCompletionStringsTests.cpp.